<?php

class Project extends CIF_Controller {

    public $layout = 'full';
    public $module = 'project';
    public $model = 'projects_model';

    public function __construct() {
        parent::__construct();
        $this->load->model($this->model);
        $this->_primary_key = $this->{$this->model}->_primary_keys[0];
    }

    public function index($id = NULL) {
         if (config('projeleri_goruntule') == '0')
            show_404();
        $id = (int) $id;
        if (!$id)
            show_404();
        if (!$this->db
                        ->where('projem_id', $id)
                        ->where('display', '1')
                        ->get('projects')->row())
            show_404();
        $this->data['item'] = $this->db
                ->select("projects.*, proje_kategorileri.title as category")
                ->where("projects.projem_id", $id)
                ->join("proje_kategorileri", "proje_kategorileri.projem_kategori_id = projects.projem_kategori_id")
                ->get('projects')
                ->row();

        config('title', $this->data['item']->title . ' - ' . config('title'));
        config('meta_aciklamamam', $this->data['item']->meta_aciklamamam);
        if (!$this->data['item'])
            show_404();

        $this->data['related_items'] = $this->db
                        ->join('proje_kategorileri', 'proje_kategorileri.projem_kategori_id = projects.projem_kategori_id', 'inner')
                        ->select("projects.*, proje_kategorileri.title as category")
                        ->where('projects.projem_kategori_id', $this->data['item']->projem_kategori_id)
                        ->where('projects.projem_id !=', $id)
                        ->limit('2')
                        ->get('projects')->result();

        $this->load->view('project', $this->data);
    }

}
