<?php

class Randevular extends CIF_Controller {

    public $layout = 'full';
    public $module = 'randevular';
    public $model = 'Talepler_randevular_model';

    public function __construct() {
        parent::__construct();
        $this->load->model($this->model);
        $this->_primary_key = $this->{$this->model}->_primary_keys[0];
    }

    public function index() {
        config('title', lang("genel_randevular") . ' - ' . config('title'));
        $data['randevular'] = $this->db->get('randevular')->result();

        //Requested randevular
        $this->load->library('form_validation');
        $this->form_validation->set_rules('name', 'lang:genel_isminiz', 'trim|required');
        $this->form_validation->set_rules('email', 'lang:genel_epostam', 'trim|required|valid_email');
        $this->form_validation->set_rules('phone', 'lang:genel_telefonum', 'trim');
        $this->form_validation->set_rules('date', 'lang:genel_tarih', 'trim|required');
        $this->form_validation->set_rules('time', 'lang:genel_zaman', 'trim|required');
        $this->form_validation->set_rules('subject', 'lang:genel_konular', 'trim|required');
        $this->form_validation->set_rules('message', 'lang:genel_mesajimiz', 'trim|required');

        if ($this->form_validation->run() == TRUE) {
            $_data = [
                'created' => date('Y-m-d H:i:s'),
                'name' => $this->input->post('name'),
                'email' => $this->input->post('email'),
                'phone' => $this->input->post('phone'),
                'date' => $this->input->post('date'),
                'time' => $this->input->post('time'),
                'subject' => $this->input->post('subject'),
                'message' => $this->input->post('message')
            ];
            $this->db->insert('talepler_randevular', $_data);
            $id = $this->db->insert_id();
            $data['success'] = true;
        }

        $this->load->view($this->module, $data);
    }

}
