<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Odeme_planlari extends CIF_Controller {

    public $layout = 'full';
    public $module = 'odeme_planlari';
    public $model = 'Odeme_planlari_model';

    public function __construct() {
        parent::__construct();
        $this->load->model($this->model);
        $this->_primary_key = $this->{$this->model}->_primary_keys[0];
        $this->permission();
    }

    public function index() {
        $this->load->library('pagination');
        config('pagination_limit', 10);
        $config['total_rows'] = $this->{$this->model}->get(TRUE);
        $config['suffix'] = '?' . http_build_query($_GET);
        $config['base_url'] = site_url('admin/odeme_planlari/index');
        $config['per_page'] = config('pagination_limit');
        $this->pagination->initialize($config);
        $data['pagination'] = $this->pagination->create_links();

        if ($this->uri->segment(4))
            $this->{$this->model}->offset = $this->uri->segment(4);

        $data['total'] = $config['total_rows'];
        $this->{$this->model}->limit = config('pagination_limit');
        $this->db->order_by('plan_id', 'DESC');
        $data['items'] = $this->{$this->model}->get();
        $this->load->view($this->module . '/index', $data);
    }

    public function manage($id = FALSE) {
        $data = array();

        if ($id) {
            $this->{$this->model}->{$this->_primary_key} = $id;
            $data['item'] = $this->{$this->model}->get();
            if (!$data['item'])
                show_404();
        } else {
            $data['item'] = new Std();
        }
        $this->load->library("form_validation");
        $this->form_validation->set_rules('plan_ismi', 'lang:plan_ismi', 'trim|required');
        $this->form_validation->set_rules('plan_fiyati', 'lang:plan_fiyati', 'trim|required');
        $this->form_validation->set_rules('plan_fiyatsure', 'lang:plan_fiyatsure', 'trim|required|max_length[100]');
        $this->form_validation->set_rules("plan_parabirimi", 'lang:plan_parabirimi', "trim|required");
        $this->form_validation->set_rules("icon", 'lang:icon', "trim|callback_file[$id]");
        $this->form_validation->set_rules('features', 'lang:features', 'trim|required');
        $this->form_validation->set_rules('onecikan_urun', 'lang:onecikan_urun', 'trim');
        $this->form_validation->set_rules('onecikan_yorum', 'lang:onecikan_yorum', 'trim');
        $this->form_validation->set_rules('plani_goruntule', 'lang:plani_goruntule', 'trim|required');


        if ($this->form_validation->run() == FALSE)
            $this->load->view($this->module . '/manage', $data);

        else {
            $this->{$this->model}->plan_ismi = $this->input->post('plan_ismi');
            $this->{$this->model}->plan_fiyati = $this->input->post('plan_fiyati');
            $this->{$this->model}->plan_fiyatsure = $this->input->post('plan_fiyatsure');
            $this->{$this->model}->plan_parabirimi = $this->input->post('plan_parabirimi');
            $this->{$this->model}->features = $this->input->post('features');
            $this->{$this->model}->onecikan_urun = $this->input->post('onecikan_urun');
            $this->{$this->model}->onecikan_yorum = $this->input->post('onecikan_yorum');
            $this->{$this->model}->plani_goruntule = $this->input->post('plani_goruntule');

            $this->{$this->model}->save();
            redirect('admin/' . $this->module);
        }
    }

    public function delete($id = false) {
        if (!$id)
            show_404();
        $this->{$this->model}->{$this->_primary_key} = $id;
        $data['item'] = $this->{$this->model}->get();
        if (!$data['item'])
            show_404();
        $this->{$this->model}->delete();
        redirect('admin/' . $this->module);
    }

    public function file($var, $id) {
        $config['upload_path'] = './cdn/odeme_planlari/';
        $config['allowed_types'] = 'gif|jpg|png|jpeg';
        $this->load->library('upload', $config);
        if ($this->upload->do_upload('icon')) {
            $data = $this->upload->data();
            if ($data['file_name'])
                $this->{$this->model}->icon = $data['file_name'];
        }
        return true;
    }

}
