<?php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Kullanıcıdan alınan bilgiler
    $hostname = $_POST['hostname'];
    $username = $_POST['username'];
    $password = $_POST['password'];
    $database = $_POST['database'];

    // Veritabanı bağlantısı
    $conn = new mysqli($hostname, $username, $password);

    // Bağlantı hatası kontrolü
    if ($conn->connect_error) {
        die('<div class="error">Veritabanı bağlantısı başarısız: ' . $conn->connect_error . '</div>');
    }

    // Veritabanını oluştur
    if (!$conn->query("CREATE DATABASE IF NOT EXISTS `$database`")) {
        die('<div class="error">Veritabanı oluşturulamadı: ' . $conn->error . '</div>');
    }

    // Veritabanını seç
    $conn->select_db($database);

    // SQL dosyasını yükle
    $sql_file = 'veritabani.sql'; // SQL dosyasının adı
    if (file_exists($sql_file)) {
        $sql_content = file_get_contents($sql_file); // Dosyayı oku
        $queries = explode(";\n", $sql_content); // Sorguları ';' ile ayır

        foreach ($queries as $query) {
            $query = trim($query); // Fazla boşlukları temizle
            if (!empty($query)) {
                if (!$conn->query($query)) {
                    echo '<div class="error">Sorgu çalıştırma hatası: ' . $conn->error . '</div>';
                }
            }
        }

        // SQL dosyasını sil
        unlink($sql_file);
    }

    // `database.php` oluştur
    $db_config = "<?php
\$active_group = 'default';
\$query_builder = TRUE;

\$db['default']['hostname'] = '$hostname';
\$db['default']['username'] = '$username';
\$db['default']['password'] = '$password';
\$db['default']['database'] = '$database';
\$db['default']['dbdriver'] = 'mysqli';
\$db['default']['dbprefix'] = '';
\$db['default']['pconnect'] = TRUE;
\$db['default']['db_debug'] = TRUE;
\$db['default']['cache_on'] = FALSE;
\$db['default']['cachedir'] = '';
\$db['default']['char_set'] = 'utf8';
\$db['default']['dbcollat'] = 'utf8_general_ci';
\$db['default']['swap_pre'] = '';
\$db['default']['autoinit'] = TRUE;
\$db['default']['stricton'] = FALSE;
?>";

    $config_path = 'application/config/database.php';
    if (file_put_contents($config_path, $db_config)) {
        $install_file = basename(__FILE__);
        $logo_file = 'logo.png';

        // Tasarım: Tamamlama mesajı
        echo '<!DOCTYPE html>
        <html lang="tr">
        <head>
            <meta charset="UTF-8">
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <title>Kurulum Tamamlandı</title>
            <style>
                body {
                    font-family: Arial, sans-serif;
                    background-color: #f4f4f9;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    height: 100vh;
                    margin: 0;
                }
                .container {
                    text-align: center;
                    background: #fff;
                    padding: 20px;
                    border-radius: 10px;
                    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
                    max-width: 400px;
                }
                .logo {
                    max-width: 150px;
                    margin-bottom: 20px;
                }
                h2 {
                    color: #28a745;
                    margin-bottom: 20px;
                }
                p {
                    margin-bottom: 20px;
                    color: #555;
                }
                a.button {
                    display: inline-block;
                    text-decoration: none;
                    background-color: #28a745;
                    color: white;
                    padding: 10px 20px;
                    border-radius: 5px;
                    font-weight: bold;
                    transition: background-color 0.3s;
                }
                a.button:hover {
                    background-color: #218838;
                }
            </style>
        </head>
        <body>
            <div class="container">
                <img src="logo.png" alt="Logo" class="logo">
                <h2>Kurulum Tamamlandı!</h2>
                <p>Admin paneline giriş yapmak için aşağıdaki butona tıklayın. Kurulum dosyaları otomatik olarak kaldırılacaktır.</p>
                <a href="/admin" class="button">Admin Paneline Git</a>
            </div>
        </body>
        </html>';

        // install.php ve logo.png dosyalarını sil
        unlink($install_file);
        if (file_exists($logo_file)) {
            unlink($logo_file);
        }
    } else {
        echo '<div class="error">database.php dosyası oluşturulamadı! Lütfen dosya izinlerini kontrol edin.</div>';
    }

    // Bağlantıyı kapat
    $conn->close();
} else {
    ?>
    <!DOCTYPE html>
    <html lang="tr">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Kurumsal Shop Cv Kurulum</title>
        <style>
            body {
                font-family: Arial, sans-serif;
                background-color: #f4f4f9;
                color: #333;
                margin: 0;
                padding: 0;
                display: flex;
                justify-content: center;
                align-items: center;
                height: 100vh;
            }
            .container {
                background: #fff;
                padding: 20px;
                box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
                border-radius: 8px;
                text-align: center;
                width: 100%;
                max-width: 400px;
            }
            .logo {
                max-width: 150px;
                margin: 0 auto 20px;
            }
            .form-group {
                margin-bottom: 15px;
            }
            label {
                display: block;
                font-weight: bold;
                margin-bottom: 5px;
            }
            input {
                width: 100%;
                padding: 10px;
                border: 1px solid #ddd;
                border-radius: 5px;
                font-size: 14px;
            }
            .button {
                display: inline-block;
                padding: 10px 20px;
                color: #fff;
                background: #28a745;
                text-decoration: none;
                border-radius: 5px;
                font-weight: bold;
                margin-top: 10px;
            }
            .button:hover {
                background: #218838;
            }
        </style>
    </head>
    <body>
        <div class="container">
            <img src="logo.png" alt="Logo" class="logo">
            <h2>Kurumsal Shop Cv Kurulum</h2>
            <form method="POST" action="install.php">
                <div class="form-group">
                    <label>Veritabanı Sunucu (hostname):</label>
                    <input type="text" name="hostname" required>
                </div>
                <div class="form-group">
                    <label>Veritabanı Kullanıcı Adı:</label>
                    <input type="text" name="username" required>
                </div>
                <div class="form-group">
                    <label>Veritabanı Şifresi:</label>
                    <input type="password" name="password" required>
                </div>
                <div class="form-group">
                    <label>Veritabanı Adı:</label>
                    <input type="text" name="database" required>
                </div>
                <button type="submit" class="button">Kurulumu Başlat</button>
            </form>
        </div>
    </body>
    </html>
    <?php
}
?>
