<div class="page-title">
    <div class="breadcrumb-env">
        <ul class="user-info-menu left-links list-inline list-unstyled">
            <li class="hidden-sm hidden-xs">
                <a href="#" data-toggle="sidebar">
                    <i class="fa-bars"></i>
                </a>
            </li>
        </ul>
        <ol class="breadcrumb bc-1" >
            <li>
                <a href="<?php echo site_url('admin/dashboard') ?>"><i class="fa-home"></i><?php echo lang('genel_anasayfa') ?></a>
            </li>
            <li class="active">
                <strong> <?php echo lang('genel_hakkimda') ?></strong>
            </li>
        </ol>
    </div>
</div>
<div class="panel-body">
    <div class="row">
        <?php if (validation_errors()) : ?>
            <div class="col-md-12">
                <div class="alert alert-danger">
                    <?php echo validation_errors() ?>
                </div>
            </div>
        <?php endif ?>
        <form role="form" class="form-horizontal" role="form" method="post" enctype="multipart/form-data">
            <div class="tabs-vertical-env">

                <ul class="nav tabs-vertical">
                    <li class="active"><a href="#v-about" data-toggle="tab"><i class="fa fa-user"></i> <?php echo lang('genel_hakkimda_me') ?></a></li>
                    <li><a href="#v-contact" data-toggle="tab"><i class="fa fa-phone"></i> <?php echo lang('genel_iletisim_bilgileri') ?></a></li>
                    <li><a href="#v-statics" data-toggle="tab"><i class="fa fa-line-chart"></i> <?php echo lang('genel_istatistikler') ?></a></li>
                    <li><a href="#v-social" data-toggle="tab"><i class="fa fa-share-alt"></i> <?php echo lang('genel_sosyal_aglar') ?></a></li>
                </ul>

                <div class="tab-content">

                    <div class="tab-pane active" id="v-about">
                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_adimbenim') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[name]', set_value('about[name]', $item->name), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label"><?php echo lang('genel_profil_resmi') ?> </label>
                            <div class="col-sm-8">
                                <input type="file" class="form-control" name="avatar">
                            </div>
                            <div class="col-sm-2">
                                <?php if ($item->avatar): ?>
                                    <img src="<?php echo base_url() ?>cdn/about/<?php echo $item->avatar ?>" class="img-inline userpic-32" width="40"/>
                                <?php endif ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_belgeseller') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[nationality]', set_value('about[nationality]', $item->nationality), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_hakkimda_me') ?></label>
                            <div class="col-sm-10">
                                <textarea class="form-control" name="about[about_me]"><?php echo set_value('about[about_me]', $item->about_me) ?></textarea>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_benim_pozisyonlarim') ?></label>
                            <div class="col-sm-10">
                                <textarea class="form-control" name="about[position_typing]"><?php echo set_value('about[position_typing]', $item->position_typing) ?></textarea>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_vidoe_aciklama') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[video_link]', set_value('about[video_link]', $item->video_link), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_ozgecmis_yukle') ?></label>
                            <div class="col-sm-7">
                                <input type="file" class="form-control" name="resume">
                            </div>
                            <div class="col-sm-3">
                                <?php if ($item->resume): ?>
                                    <a href="<?php echo base_url() ?>cdn/about/<?php echo $item->resume ?>" download target="_blank"><i class="fa fa-download"></i> <?php echo lang('genel_ozgecmis_indir') ?></a>
                                <?php endif ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                    </div>

                    <div class="tab-pane" id="v-contact">
                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_adresimbura') ?></label>
                            <div class="col-sm-10">
                                <textarea class="form-control" name="about[address]"><?php echo set_value('about[address]', $item->address) ?></textarea>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_konumuburada') ?></label>
                            <div class="col-sm-5">
                                <?php echo form_input('about[latitude]', set_value('about[latitude]', $item->latitude), 'class="bg-focus form-control"') ?>
                            </div>
                            <div class="col-sm-5">
                                <?php echo form_input('about[longitude]', set_value('about[longitude]', $item->longitude), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_telefonum') ?></label>
                            <div class="col-sm-10">
                                <textarea class="form-control" name="about[phone]"><?php echo set_value('about[genel_telefonum]', $item->phone) ?></textarea>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_epostam') ?></label>
                            <div class="col-sm-10">
                                <textarea class="form-control" name="about[email]"><?php echo set_value('about[email]', $item->email) ?></textarea>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>




                    </div>
                    <div class="tab-pane" id="v-statics">
                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_projelerdeprojelers') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[num_projects]', set_value('about[num_projects]', $item->num_projects), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_mitinglerim') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[num_meetings]', set_value('about[num_meetings]', $item->num_meetings), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_benden_mutlular') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[num_happy_clients]', set_value('about[num_happy_clients]', $item->num_happy_clients), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>
                        
                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_odul_kazandim') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[num_awards]', set_value('about[num_awards]', $item->num_awards), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_deneyimlediklerim') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[num_experience]', set_value('about[num_experience]', $item->num_experience), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>
                    </div>
                    <div class="tab-pane" id="v-social">

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_facebook') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[facebook]', set_value('about[facebook]', $item->facebook), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_behance') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[behance]', set_value('about[behance]', $item->behance), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_codepen') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[codepen]', set_value('about[codepen]', $item->codepen), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_dribbble') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[dribbble]', set_value('about[dribbble]', $item->dribbble), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_dropbox') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[dropbox]', set_value('about[dropbox]', $item->dropbox), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_flickr') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[flickr]', set_value('about[flickr]', $item->flickr), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_instagram') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[instagram]', set_value('about[instagram]', $item->instagram), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_linkedin') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[linkedin]', set_value('about[linkedin]', $item->linkedin), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_pinterest') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[pinterest]', set_value('about[pinterest]', $item->pinterest), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_reddit') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[reddit]', set_value('about[reddit]', $item->reddit), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_rss') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[rss]', set_value('about[rss]', $item->rss), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_skype') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[skype]', set_value('about[skype]', $item->skype), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_snapchat') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[snapchat]', set_value('about[snapchat]', $item->snapchat), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_soundcloud') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[soundcloud]', set_value('about[soundcloud]', $item->soundcloud), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_stackoverfolw') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[stackoverfolw]', set_value('about[stackoverfolw]', $item->stackoverfolw), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_tumblr') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[tumblr]', set_value('about[tumblr]', $item->tumblr), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_twitter') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[twitter]', set_value('about[twitter]', $item->twitter), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_vimeo') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[vimeo]', set_value('about[vimeo]', $item->vimeo), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_yelp') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[yelp]', set_value('about[yelp]', $item->yelp), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_youtube') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[youtube]', set_value('about[youtube]', $item->youtube), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_whatsapp') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[whatsapp]', set_value('about[whatsapp]', $item->whatsapp), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                        <div class="form-group-separator"></div>
						<div class="form-group">
                            <label class="col-sm-2 control-label" for="field-1"> <?php echo lang('genel_whatsapp') ?></label>
                            <div class="col-sm-10">
                                <?php echo form_input('about[whatsapps]', set_value('about[whatsapps]', $item->whatsapps), 'class="bg-focus form-control"') ?>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label"></label>
                        <div class="col-sm-10">
                            <input type="submit" class="btn btn-secondary " name="submit" value="<?php echo lang('genel_kaydet') ?>">
                            <a href="<?php echo site_url('admin/about'); ?>" class="btn btn-danger"><?php echo lang('genel_iptalet') ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>	
</div>	